Bug 707430 - Unable to complete preupgrade install
Unable to complete preupgrade install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
15
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-24 22:41 EDT by Harish Pillay
Modified: 2012-08-07 14:11 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:11:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harish Pillay 2011-05-24 22:41:49 EDT
Description of problem:
After completing the preupgrade, the system reboots. The packages downloaded are installed and when it comes to the python-urwid package, the installation fails.

Version-Release number of selected component (if applicable):
python-urwid that is included as part of the preupgrade download.

How reproducible:
On F14 64-bit, run preupgrade. When prompted, reboot the machine. Choose the Fedora 15 boot option and let the installation proceed.  When python-urwid is to be installed, the installation fails.

Steps to Reproduce:
1. As described in the section above.
2.
3.
  
Actual results:
can't continue the installation following preupgrade

Expected results:
fully updated f15 machine

Additional info:
Would be nice if there is a text-only console option for the installation to proceed.
Comment 1 Sudarsha Hewa 2011-05-25 08:29:33 EDT
I have the same issue with the 32-bit version.
Comment 2 Jonas Thiem 2011-05-27 14:05:43 EDT
Same problem, 32bit version aswell.
Comment 3 Dodji Seketeli 2011-06-05 12:26:53 EDT
This is very annoying as the installation fails while being halfway done, leaving an unusable system that basically has to be re-installed again.

Is there a way to rescue the system in this state and, say, remove the package python-urwid so that preupgrade won't try to upgrade it anymore?
Comment 4 fredsilsbee 2011-06-12 12:46:38 EDT
failure in phase 1:

[root@fredsilssbee ~]# preupgrade
Loaded plugins: blacklist, langpacks, whiteout
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
No plugin match for: auto-update-debuginfo
Adding en_US to language list
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-15&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-15&arch=i386
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/15/Fedora/$basearch/os/
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/15/Fedora/i386/os/
unknown metadata being downloaded: repomdx9Qotptmp.xml
preupgrade-fedora (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=fedora-15&arch=i386
  now: https://mirrors.fedoraproject.org/metalink?repo=fedora-15&arch=i386
unknown metadata being downloaded: metalink.xml.tmp
unknown metadata being downloaded: repomdbv1eI_tmp.xml
preupgrade-updates (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f15&arch=i386
  now: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f15&arch=i386
unknown metadata being downloaded: metalink.xml.tmp
unknown metadata being downloaded: repomdnW0r8Wtmp.xml
unknown metadata being downloaded: MEMORY
Fetched treeinfo from http://mirror.umoss.org/fedora/linux/releases/15/Fedora/i386/os//.treeinfo
treeinfo timestamp: Fri May 13 14:47:06 2011
unknown metadata being downloaded: MEMORY
Downloading 1.6GB
Available disk space for /var/cache/yum/preupgrade: 18.4GB
Upgrade requires 500.0MB
Available disk space for /usr: 16.8GB
Kernel requires 26.0MB
Available disk space for /boot: 297.6MB
unknown metadata being downloaded: repomd4OORQBtmp.xml
Generating metadata for preupgrade repo
DEBUG /sbin/grubby --title="Upgrade to Fedora 15 (Lovelock)" --remove-kernel="/boot/upgrade/vmlinuz" --add-kernel="/boot/upgrade/vmlinuz" --initrd="/boot/upgrade/initrd.img" --args="preupgrade repo=hd::/var/cache/yum/preupgrade  ks=hd:UUID=3e99329c-4f3e-4968-94c7-a8ab3a7cc0e5:/upgrade/ks.cfg"
 /usr/share/preupgrade/preupgrade-gtk.py:801: GtkWarning: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed
  gtk.main()
Comment 5 fredsilsbee 2011-06-12 12:54:51 EDT
OOOPS! didn't insert all items...here is the complete dialog
                                          
[qt4user@landon ~]$ cat preupgrade.txt
[root@fredsilsbee ~]# yum update                                                                                                                      
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package rdesktop.i686 0:1.6.0-11.fc14 set to be updated
---> Package sssd.i686 0:1.5.8-1.fc14 set to be updated
---> Package sssd-client.i686 0:1.5.8-1.fc14 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================================================================
 Package                             Arch                         Version                                  Repository                       Size
=================================================================================================================================================
Updating:
 rdesktop                            i686                         1.6.0-11.fc14                            updates                         144 k
 sssd                                i686                         1.5.8-1.fc14                             updates                         869 k
 sssd-client                         i686                         1.5.8-1.fc14                             updates                          64 k

Transaction Summary
=================================================================================================================================================
Upgrade       3 Package(s)

Total download size: 1.1 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
updates/prestodelta                                                                                                       | 900 kB     00:01     
Processing delta metadata
Download delta size: 557 k
(1/3): rdesktop-1.6.0-10.fc14_1.6.0-11.fc14.i686.drpm                                                                     | 111 kB     00:00     
(2/3): sssd-1.5.7-1.fc14_1.5.8-1.fc14.i686.drpm                                                                           | 411 kB     00:01     
(3/3): sssd-client-1.5.7-1.fc14_1.5.8-1.fc14.i686.drpm                                                                    |  35 kB     00:00     
Finishing rebuild of rpms, from deltarpms
<delta rebuild>                                                                                                           | 1.1 MB     00:04     
Presto reduced the update size by 49% (from 1.1 M to 557 k).
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : sssd-client-1.5.8-1.fc14.i686                                                                                             1/6 
  Updating       : sssd-1.5.8-1.fc14.i686                                                                                                    2/6 
  Updating       : rdesktop-1.6.0-11.fc14.i686                                                                                               3/6 
  Cleanup        : sssd-1.5.7-1.fc14.i686                                                                                                    4/6 
  Cleanup        : sssd-client-1.5.7-1.fc14.i686                                                                                             5/6 
  Cleanup        : rdesktop-1.6.0-10.fc14.i686                                                                                               6/6 

Updated:
  rdesktop.i686 0:1.6.0-11.fc14                    sssd.i686 0:1.5.8-1.fc14                    sssd-client.i686 0:1.5.8-1.fc14                   

Complete!
[root@fredsilsbee ~]# yum install preupgrade
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package preupgrade.noarch 0:1.1.9-1.fc14 set to be installed
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================================================================
 Package                            Arch                           Version                                 Repository                       Size
=================================================================================================================================================
Installing:
 preupgrade                         noarch                         1.1.9-1.fc14                            updates                         163 k

Transaction Summary
=================================================================================================================================================
Install       1 Package(s)

Total download size: 163 k
Installed size: 771 k
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 163 k
preupgrade-1.1.9-1.fc14.noarch.rpm                                                                                        | 163 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : preupgrade-1.1.9-1.fc14.noarch                                                                                            1/1 

Installed:
  preupgrade.noarch 0:1.1.9-1.fc14                                                                                                               

Complete!
[root@fredsilsbee ~]# preupgrade
Loaded plugins: blacklist, langpacks, whiteout
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
No plugin match for: auto-update-debuginfo
Adding en_US to language list
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-15&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-15&arch=i386
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/15/Fedora/$basearch/os/
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/15/Fedora/i386/os/
unknown metadata being downloaded: repomdx9Qotptmp.xml
preupgrade-fedora (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=fedora-15&arch=i386
  now: https://mirrors.fedoraproject.org/metalink?repo=fedora-15&arch=i386
unknown metadata being downloaded: metalink.xml.tmp
unknown metadata being downloaded: repomdbv1eI_tmp.xml
preupgrade-updates (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f15&arch=i386
  now: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f15&arch=i386
unknown metadata being downloaded: metalink.xml.tmp
unknown metadata being downloaded: repomdnW0r8Wtmp.xml
unknown metadata being downloaded: MEMORY
Fetched treeinfo from http://mirror.umoss.org/fedora/linux/releases/15/Fedora/i386/os//.treeinfo
treeinfo timestamp: Fri May 13 14:47:06 2011
unknown metadata being downloaded: MEMORY
Downloading 1.6GB
Available disk space for /var/cache/yum/preupgrade: 18.4GB
Upgrade requires 500.0MB
Available disk space for /usr: 16.8GB
Kernel requires 26.0MB
Available disk space for /boot: 297.6MB
unknown metadata being downloaded: repomd4OORQBtmp.xml
Generating metadata for preupgrade repo
DEBUG /sbin/grubby --title="Upgrade to Fedora 15 (Lovelock)" --remove-kernel="/boot/upgrade/vmlinuz" --add-kernel="/boot/upgrade/vmlinuz" --initrd="/boot/upgrade/initrd.img" --args="preupgrade repo=hd::/var/cache/yum/preupgrade  ks=hd:UUID=3e99329c-4f3e-4968-94c7-a8ab3a7cc0e5:/upgrade/ks.cfg"
 /usr/share/preupgrade/preupgrade-gtk.py:801: GtkWarning: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed
  gtk.main()
Comment 6 W.C. Epperson 2011-06-25 08:20:07 EDT
Same experience on HP dv6-1030us, with added injury that when rebooting to F14, the keyboard is not recognized in the login panel, cannot enter a password.  I guess I'll just do a quick minimal reinstall of F14 and restore my rsync backup.
Comment 7 W.C. Epperson 2011-06-25 14:26:26 EDT
Was able to ssh into the F14 boot and do the rsync restore.  Then tried to upgrade via DVD, and it threw an error on emacs-filesystem rpm header, leaving everything botched again.  Did another rsync back to F14 and will wait for F16, this one's jinxed for me.
Comment 8 Gianfranco Durin 2011-06-28 11:09:27 EDT
(In reply to comment #3)
> This is very annoying as the installation fails while being halfway done,
> leaving an unusable system that basically has to be re-installed again.
> 
> Is there a way to rescue the system in this state and, say, remove the package
> python-urwid so that preupgrade won't try to upgrade it anymore?

Yes, it is very annoying. 
To solve it I used this workaround, it should work for any package giving problems. It does not need to re-install everything.

1. Use a DVD/CD to enter in rescue mode, be sure to enable the network. Then mount the system with chroot /mnt/sysimage

2. Remove the F14-version of the package causing the problem, with you remove python-urwid, for instance

3. Restart the installation procedure either use the DVD or choose under grub the option "Update Fedora". The system could recheck everything and skip the python-urwid package.

4. When reboot, it should work. Actually my not-finished installation broke the grub file, so I need to do these extras:

4a. Re-enter in rescue mode and check if the file /boot/grub/menu.lst looks correct. It needs to have the f15 lines as follows:
root (hd*,*)
kernel /vmlinuz-<kernel>
initrd /initramfs-<kernel>.img

In my case I had the initramfs-<kernel>.img missing that I made using:

dracut /boot/initramfs-<kernel>.img <kernel>

Then everything started.
Comment 9 Fedora End Of Life 2012-08-07 14:11:28 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.